Bug 174328 - NullPointerException at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI.getStackTrace
NullPointerException at org.netbeans.modules.profiler.heapwalk.ui.OverviewCon...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@profiler
issues@profiler
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-12 08:45 UTC by Tomas Hurka
Modified: 2009-12-04 02:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (767 bytes, text/plain)
2009-10-12 08:45 UTC, Tomas Hurka
Details
Head dump from JDK 1.4.2 (2.10 MB, application/x-gzip)
2009-10-12 08:50 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-10-12 08:45:01 UTC
Build: NetBeans IDE Dev (Build 091002)
VM: Java HotSpot(TM) Client VM, 1.5.0_20-141, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_20-b02-315
OS: Mac OS X, 10.5.8, i386

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI.getStackTrace(OverviewControllerUI.java:356)
        at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI.computeThreads(OverviewControllerUI.java:324)
        at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI.access$500(OverviewControllerUI.java:92)
        at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI$1.run(OverviewControllerUI.java:410)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:602)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1084)
Comment 1 Tomas Hurka 2009-10-12 08:45:07 UTC
Created attachment 89291 [details]
stacktrace
Comment 2 Tomas Hurka 2009-10-12 08:49:18 UTC
Steps to reproduce:

Open attached heap dump and click on 'Threads' link.

Comment 3 Tomas Hurka 2009-10-12 08:50:55 UTC
Created attachment 89292 [details]
Head dump from JDK 1.4.2
Comment 4 Tomas Hurka 2009-10-12 08:57:22 UTC
FIxed in profiler-main.
changeset:   148664:398965983331
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Oct 12 09:56:26 2009 +0200
summary:     bugfix #174328, threadId and tState are available from JDK 1.5+
Comment 5 Quality Engineering 2009-10-14 10:55:32 UTC
Integrated into 'main-golden', will be available in build *200910140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/398965983331
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #174328, threadId and tState are available from JDK 1.5+


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo